1

Topic: installation problem

==== Required information ====
- iRedMail version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version:
- Related log if you're reporting an issue:
======== Required information ====
- iRedMail version:
- Store mail accounts in which backend (LDAP/MySQL/PGSQL):
- Linux/BSD distribution name and version:
- Related log if you're reporting an issue:
======== Required information ====
- iRedMail version: iRedMail-0.8.5
- Store mail accounts in which backend (LDAP/MySQL/PGSQL): MySQL
- Linux/BSD distribution name and version: Ubuntu LTS 12.4 x86
- Related log if you're reporting an issue: -
====

Hi, I tried to install iRedAdmin-Pro-MySQL-1.7.0 with following install tutorial: http://www.iredmail.org/wiki/index.php? … SQL/Debian

If I login into the frontend, no pro features will be displayed. What I have to do now???
It opened iReadAdmin 0.2.2 instead of pro-frontend. Where should I set the correct link?

Thanks in advance,

Sebastian

PS: sorry for mistakes, but English is not my native language ;-)

Post's attachments

screenshot.jpg
screenshot.jpg 165.42 kb, file has never been downloaded. 

You don't have the permssions to download the attachments of this post.

2

Re: installation problem

Does /usr/share/apache2/iredadmin link to iRedAdmin-Pro or open source edition?

3 (edited by sebastian 2013-10-09 03:20:54)

Re: installation problem

/usr/share/apache2/iredadmin link to iRedAdmin-Pro-1.7.0

I did a workaround:
I changed path in file /etc/apache2/sites-enabled/default-ssl to
/usr/share/apache2/iRedAdmin-Pro-1.7.0/iredadmin.py/ (instead of /usr/share/apache2/iredadmin/iredadmin.py/)
and /usr/share/apache2/iRedAdmin-Pro-1.7.0/static/(instead of /usr/share/apache2/iredadmin/static/)

I think the symbolic link (sudo ln -s iRedAdmin-Pro-1.7.0 iredadmin) will not work for me!

Now, I am be able to start the correct frontend -> I think this souloution will make troubles if I want to upgrade to a new version.
Could you tell me a better solution or do you think I don't run into troubles with the next update/upgrade?

-> Problem2: Now, I can start the correct frontend, but some features I am missing:
* System -> Whitelist
* System -> BlacKlist
* Domains -> throttling

Where I can activate this features?

thanks in advance and for your quick reply ;-)

Sebastian

4

Re: installation problem

*) It should work fine with symbol link (/usr/share/apache2/iredadmin/), even without restarting Apache. Not sure why it doesn't work for you. Still no idea, maybe you should restart Apache to try again.

*) Problem2: The latest iRedAdmin-Pro doesn't support Cluebringer, so you cannot see those menu items. But it's available in upcoming release of iRedAdmin-Pro. Please just wait for some more days, working on per-domain and per-user throttling support.

5 (edited by sebastian 2013-10-14 00:22:27)

Re: installation problem

thx, for your answer. that explains why I can not see the menu items. (I am glad that it is not at the installation and settings.)
But I have only one more question: If I try the demo iredmail: https://demo.iredmail.org/iredadmin-pro-mysql/
I can access Whitelist/Blacklist ect. -> should it dependents on the operating system, if I can see the items or not? If yes, which operating system do you use?

Thank you for quick help and a good start into the next week.
Sebastian

6

Re: installation problem

The demo site runs Policyd-1.8, it's supported by iRedAdmin-Pro.